---
title: "Fetch concatenated images"
url: "https://developer.incode.com/api-reference/get-concatenated-images/"
section: "api-reference"
group: "Interview"
version: "v1.1"
status: "live"
endpoint: "POST /omni/get/concatenated-images"
---
# Fetch concatenated images

`POST /omni/get/concatenated-images`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Concatenates requested images from user. Resulting image keep the largest width of the requested images and preserves the order.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string |  | Id of onboarding for which images are requested. If not present, it will be extracted from token. |
| `api-version` | header | string | yes |  |

## Request body

Image types that are requested. Requested images are limited to crops only, because full frames can potentially lead to big payload in response

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `images` | array[string] | yes |  |

## Responses

### 200

For each requested image type, response contains line in format:

{imageType}: String (base64)

Base64 representation of image. Additionally, if signature image is requested, response will contain an array of all signatures.

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X POST https://demo-api.incodesmile.com/omni/get/concatenated-images \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0" \
  -H "Content-Type: application/json" \
  -d '{
    "images": []
  }'
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/get/concatenated-images", {
  method: "POST",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
      "Content-Type": "application/json",
  },
    body: JSON.stringify({
      "images": []
    }),
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
    "Content-Type": "application/json",
}
res = requests.post("https://demo-api.incodesmile.com/omni/get/concatenated-images", headers=headers, json={
  "images": []
})
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/get/concatenated-images"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .header("Content-Type", "application/json")
    .method("POST", HttpRequest.BodyPublishers.ofString("{\n  \"images\": []\n}"))
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
